package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.UnitCostDetail;

public class UnitCostVO extends BaseMasterVO {

	 
	private String kodeUnitCost;
	private String namaUnitCost;
	//private Set<UnitCostDetail> unitCostDetailSet = new HashSet<UnitCostDetail>();
	private ProdukVO produk;
	private Integer produkId;
	private RuanganVO ruangan;
	private Set<UnitCostDetailVO> unitCostDetailSet = new HashSet<UnitCostDetailVO>();
	
	private Integer ruanganId;
	
	protected Integer id;

	 

	public String getNamaUnitCost() {
		return namaUnitCost;
	}

	public void setNamaUnitCost(String namaUnitCost) {
		this.namaUnitCost = namaUnitCost;
	}

	 

	public Integer getProdukId() {
		return produkId;
	}

	public void setProdukId(Integer produkId) {
		this.produkId = produkId;
	}

	 

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public ProdukVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukVO produk) {
		this.produk = produk;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public Set<UnitCostDetailVO> getUnitCostDetailSet() {
		return unitCostDetailSet;
	}

	public void setUnitCostDetailSet(Set<UnitCostDetailVO> unitCostDetailSet) {
		this.unitCostDetailSet = unitCostDetailSet;
	}

	public String getKodeUnitCost() {
		return kodeUnitCost;
	}

	public void setKodeUnitCost(String kodeUnitCost) {
		this.kodeUnitCost = kodeUnitCost;
	}

	 
}
